.payment-form {
  max-width: 400px;
  margin: 2rem auto;
  padding: 1.5rem;
  border: 1px solid #ccc;
  border-radius: 8px;
  background: #f9f9f9;

  h1 {
    text-align: center;
    margin-bottom: 1.5rem;
    font-family: "Arial", sans-serif;
  }

  form {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    button {
      background: #0070f3;
      color: #fff;
      border: none;
      padding: 0.75rem;
      border-radius: 4px;
      cursor: pointer;
      font-size: 1rem;

      &:disabled {
        background: #ccc;
        cursor: not-allowed;
      }
    }

    .payment-status {
      text-align: center;
      margin-top: 1rem;
      color: red;
    }
  }
}
